GHSA-g4x3-mfpj-f335

Suggest an improvement
Source
https://github.com/advisories/GHSA-g4x3-mfpj-f335
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/01/GHSA-g4x3-mfpj-f335/GHSA-g4x3-mfpj-f335.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-g4x3-mfpj-f335
Aliases
Published
2024-01-22T06:30:32Z
Modified
2024-06-28T15:58:31.389883Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
chasquid HTTP Request/Response Smuggling vulnerability
Details

chasquid before 1.13 allows SMTP smuggling because LF-terminated lines are accepted.

References

Affected packages

Go / github.com/albertito/chasquid

Package

Name
github.com/albertito/chasquid
View open source insights on deps.dev
Purl
pkg:golang/github.com/albertito/chasquid

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.13